#Redisson配置
spring:
  redis:
    redisson:
      singleServerConfig:
      #  address: "redis://34.92.245.187:6379"
        address: redis://${spring.redis.host}:${spring.redis.port}
        password: ${spring.redis.password}
      #  password: Lightnet12!
        clientName: null
        database: 7 #选择使用哪个数据库0~15
        idleConnectionTimeout: 10000
        connectTimeout: 10000
        timeout: 3000
        retryAttempts: 3
        retryInterval: 1500
        subscriptionsPerConnection: 5
        subscriptionConnectionMinimumIdleSize: 1
        subscriptionConnectionPoolSize: 50
        connectionMinimumIdleSize: 32
        connectionPoolSize: 64
        dnsMonitoringInterval: 5000
        #dnsMonitoring: false

      #clusterServersConfig:
      #  idleConnectionTimeout: 10000
      #  connectTimeout: 10000
      #  timeout: 3000
      #  retryAttempts: 3
      #  retryInterval: 1500
      #  failedSlaveReconnectionInterval: 3000
      #  failedSlaveCheckInterval: 60000
      #  password: null
      #  subscriptionsPerConnection: 5
      #  clientName: null
      #  loadBalancer: !<org.redisson.connection.balancer.RoundRobinLoadBalancer> {}
      #  subscriptionConnectionMinimumIdleSize: 1
      #  subscriptionConnectionPoolSize: 50
      #  slaveConnectionMinimumIdleSize: 24
      #  slaveConnectionPoolSize: 64
      #  masterConnectionMinimumIdleSize: 24
      #  masterConnectionPoolSize: 64
      #  readMode: "SLAVE"
      #  subscriptionMode: "SLAVE"
      #  nodeAddresses:
      #    - "redis://192.168.35.142:7002"
      #    - "redis://192.168.35.142:7001"
      #    - "redis://192.168.35.142:7000"
      #  scanInterval: 1000
      #  pingConnectionInterval: 0
      #  keepAlive: false
      #  tcpNoDelay: false


      threads: 16
      nettyThreads: 32
      codec:
        class: "org.redisson.codec.JsonJacksonCodec"
#      codec: !<org.redisson.codec.FstCodec> {}
      #codec:
      #  class: "org.redisson.codec.JsonJacksonCodec"
      transportMode: "NIO"